# Modular hard drive rack

I designed this rack as a way to extend my NAS, as I've run out of drive bays. It's designed to sit *next to* the NAS itself. It can also be used for cold storage of drives; it's pretty space-efficient, and can stack pretty high.

Video here: https://www.youtube.com/watch?v=18qHf6oyXV8

- Stackable
- Tool-less; uses a locking latch and spring in the back to keep the HDD firmly in place
- Single-part 3D print, no external components needed
- Supports built into the model
- Hook on the side for cable management

Things to keep in mind:

- __Plastic has a pretty low melting point.__ Use this design at your own risk, and ensure that your drives don't end up melting the rack under load. Some plastics have higher melting temperatures. Use at your own risk.
- Good part cooling is required for a clean print. If your part cooling is not good enough, you will have to cut off some loose bits of filament after the print, particularly behind the front reinforcement bar. This will not affect structural integrity.
- You'll need sidecutters to remove the supports; they are quite beefy, but can be snipped off cleanly.
- Pay particular attention to the internal supports for the latch on the side; they're easy to miss, and somewhat tricky to remove, but a careful snip should do the job.
- There are currently no active cooling mounts, and airflow is not yet ideal. This may be fixed in a future revision.
- It is currently difficult to remove a drive from a tray that isn't on top of the stack, as there's no place to grip the drive. This may be fixed in a future revision. For now, you can just lift up the rest of the stack.

The canonical model can be found at https://cad.onshape.com/documents/98c7d49ffd0e7ddd91eddf1b/w/8d185c3deb71f9be0a88c5bc/e/a01fd4eb81dba82094716a66?renderMode=0&uiState=63961a0797806e52288fcbd4 - yep, OnShape is proprietary cloudycloud stuff, sorry. No actually usable FOSS alternatives seem to exist, unfortunately. This repository only contains the STL export.

## License

WTFPL/CC0 at your choice; attribution is appreciated but not required.
